=== debian/changelog ===
ublock-origin (1.55.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.55.0+dfsg.

 -- Markus Koschany <apo@debian.org>  Sun, 21 Jan 2024 21:18:52 +0100

ublock-origin (1.54.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.54.0+dfsg.

 -- Markus Koschany <apo@debian.org>  Sun, 03 Dec 2023 19:00:28 +0100

ublock-origin (1.53.3rc0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.53.3rc0+dfsg. (Closes: #1055315)

 -- Markus Koschany <apo@debian.org>  Fri, 10 Nov 2023 05:24:39 +0100

ublock-origin (1.52.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.52.0+dfsg. (Closes: #1052658)

 -- Markus Koschany <apo@debian.org>  Wed, 27 Sep 2023 01:39:18 +0200

ublock-origin (1.51.0+dfsg-2) unstable; urgency=medium

  * Replace js-beautify and csstree Javascript libraries with system libraries.
    Document the licenses of js-beautify, csstree and hsluv in debian/copyright.
    Add the missing source file of hsluv.js to debian/missing-sources.
    Thanks to Bastien Roucariès for the report. (Closes: #1042757)

 -- Markus Koschany <apo@debian.org>  Sat, 19 Aug 2023 01:01:05 +0200
