=== debian/control ===
Source: ublock-origin
Section: web
Priority: optional
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders:
 Markus Koschany <apo@debian.org>,
 Michael Meskes <meskes@debian.org>
Build-Depends:
 binaryen,
 debhelper-compat (= 13),
 nodejs,
 node-css-tree,
 node-js-beautify,
 python3,
 wabt
Standards-Version: 4.6.2
Homepage: https://github.com/gorhill/uBlock
Vcs-Git: https://salsa.debian.org/webext-team/ublock-origin.git
Vcs-Browser: https://salsa.debian.org/webext-team/ublock-origin

Package: ublock-origin-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: lightweight and efficient ads, malware, trackers blocker (docs)
 uBlock is a small footprint blocker for against web ads, malware, trackers,
 analytics and similar invasive items.
 .
 Compared to other blockers like AdBlock and Ghostery, µBlock is focused on
 having a smaller memory and CPU footprint.
 .
 This package contains larger files that are part of µBlock's documentation.

Package: webext-ublock-origin-firefox
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Recommends:
 firefox | firefox-esr
Suggests:
 ublock-origin-doc
Description: lightweight and efficient ads, malware, trackers blocker (Firefox)
 uBlock is a small footprint blocker for against web ads, malware, trackers,
 analytics and similar invasive items.
 .
 Compared to other blockers like AdBlock and Ghostery, µBlock is focused on
 having a smaller memory and CPU footprint.
 .
 This package provides the Firefox version of the addon.

Package: webext-ublock-origin-chromium
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Recommends:
 chromium
Suggests:
 ublock-origin-doc
Description: lightweight and efficient ads, malware, trackers blocker (Chromium)
 uBlock is a small footprint blocker for against web ads, malware, trackers,
 analytics and similar invasive items.
 .
 Compared to other blockers like AdBlock and Ghostery, µBlock is focused on
 having a smaller memory and CPU footprint.
 .
 This package provides the Chromium version of the addon.
