## ublock-origin 1.55.0+dfsg-1trisquel1

=== debian/changelog ===
ublock-origin (1.55.0+dfsg-1trisquel1) ecne; urgency=medium

  * Avoid recommend non-free browser options.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 07 Oct 2024 17:38:19 +0000
