=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ublock-origin
 Section: web
 Priority: optional
-Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders:
  Markus Koschany <apo@debian.org>,
  Michael Meskes <meskes@debian.org>
@@ -39,17 +39,17 @@
 Depends:
  ${misc:Depends}
 Recommends:
- firefox | firefox-esr
+ abrowser | icecat
 Suggests:
  ublock-origin-doc
-Description: lightweight and efficient ads, malware, trackers blocker (Firefox)
+Description: lightweight and efficient ads, malware, trackers blocker (Abrowser)
  uBlock is a small footprint blocker for against web ads, malware, trackers,
  analytics and similar invasive items.
  .
  Compared to other blockers like AdBlock and Ghostery, µBlock is focused on
  having a smaller memory and CPU footprint.
  .
- This package provides the Firefox version of the addon.
+ This package provides the Abrowser version of the addon.
 
 Package: webext-ublock-origin-chromium
 Architecture: all
@@ -57,14 +57,14 @@
 Depends:
  ${misc:Depends}
 Recommends:
- chromium
+ ungoogled-chromium
 Suggests:
  ublock-origin-doc
-Description: lightweight and efficient ads, malware, trackers blocker (Chromium)
+Description: lightweight and efficient ads, malware, trackers blocker (Ungoogled-Chromium)
  uBlock is a small footprint blocker for against web ads, malware, trackers,
  analytics and similar invasive items.
  .
  Compared to other blockers like AdBlock and Ghostery, µBlock is focused on
  having a smaller memory and CPU footprint.
  .
- This package provides the Chromium version of the addon.
+ This package provides the Ungoogled-Chromium version of the addon.
