=== debian/changelog ===
ublock-origin (1.57.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.57.0+dfsg.

 -- Markus Koschany <apo@debian.org>  Sat, 06 Apr 2024 16:19:34 +0200
