## ublock-origin 1.60.0+dfsg

=== debian/changelog ===
ublock-origin (1.60.0+dfsg-1parrot1) lory; urgency=medium

  * Import new Debian Testing release.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 23 Oct 2024 14:57:38 +0200

ublock-origin (1.60.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.60.0+dfsg. (Closes: #1078943)

 -- Markus Koschany <apo@debian.org>  Wed, 02 Oct 2024 09:10:25 +0200

ublock-origin (1.54.0+dfsg-1parrot1) lory; urgency=medium

  * Import new Debian testing release.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 28 Dec 2023 08:15:53 +0100
