=== debian/changelog ===
ublock-origin (1.62.0+dfsg-0+deb9u2) stretch-security; urgency=medium

  * Restore transitional package webext-ublock-origin.

 -- Markus Koschany <apo@debian.org>  Thu, 12 Jun 2025 14:36:49 +0200

ublock-origin (1.62.0+dfsg-0+deb9u1) stretch-security; urgency=medium

  * Backport 1.62.0+dfsg to stretch to improve user experience and ad filter
    capabilities.
  * Fix CVE-2025-4215:
    A remote attacker could abuse an inefficient regular expression in
    ublock-origin's filters to cause a denial-of-service and freeze a web
    browser. (Closes: #1104635)

 -- Markus Koschany <apo@debian.org>  Tue, 10 Jun 2025 17:15:46 +0200

ublock-origin (1.62.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.62.0+dfsg.

 -- Markus Koschany <apo@debian.org>  Sun, 09 Feb 2025 19:20:16 +0100
