## ublock-origin 1.67.0%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -5,17 +5,17 @@
 
 override_dh_auto_build:
 	# Compile the WebAssembly code from source
-#	find . -name "*.wasm" -delete
-#	wat2wasm src/lib/lz4/lz4-block-codec.wat -o src/lib/lz4/lz4-block-codec.wasm
-#	wat2wasm src/js/wasm/hntrie.wat -o src/js/wasm/hntrie.wasm
-#	wat2wasm src/js/wasm/biditrie.wat -o src/js/wasm/biditrie.wasm
-#	wat2wasm src/lib/publicsuffixlist/wasm/publicsuffixlist.wat -o src/lib/publicsuffixlist/wasm/publicsuffixlist.wasm
-#	wasm-opt src/lib/lz4/lz4-block-codec.wasm -O4 -o src/lib/lz4/lz4-block-codec.wasm
+	find . -name "*.wasm" -delete
+	wat2wasm src/lib/lz4/lz4-block-codec.wat -o src/lib/lz4/lz4-block-codec.wasm
+	wat2wasm src/js/wasm/hntrie.wat -o src/js/wasm/hntrie.wasm
+	wat2wasm src/js/wasm/biditrie.wat -o src/js/wasm/biditrie.wasm
+	wat2wasm src/lib/publicsuffixlist/wasm/publicsuffixlist.wat -o src/lib/publicsuffixlist/wasm/publicsuffixlist.wasm
+	wasm-opt src/lib/lz4/lz4-block-codec.wasm -O4 -o src/lib/lz4/lz4-block-codec.wasm
 	# node-css-tree is not in bullseye, using embedded version instead
 	# Replace embedded copy of csstree.esm.js with corresponding Debian file from src:node-css-tree
 	#cp /usr/share/nodejs/css-tree/dist/csstree.esm.js src/lib/csstree/css-tree.js
 	# Replace embedded copy of js-beautify with Debian's system library node-js-beautify
-#	cp /usr/share/nodejs/js-beautify/js/lib/beautifier.min.js src/lib/js-beautify/beautifier.min.js
+	cp /usr/share/nodejs/js-beautify/js/lib/beautifier.min.js src/lib/js-beautify/beautifier.min.js
 	# Use the existing minified asset filters because bullseye lacks the
 	# fs/promise module from nodejs
 	# Build the minified asset filters
