=== debian/changelog ===
ublock-origin (1.67.0+dfsg-1~deb13u1) trixie; urgency=medium

  * Backport version 1.67.0 to trixie to improve user experience and add new
    filter capabilities.

 -- Markus Koschany <apo@debian.org>  Fri, 31 Oct 2025 14:56:50 +0100

ublock-origin (1.67.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.67.0+dfsg.

 -- Markus Koschany <apo@debian.org>  Sat, 25 Oct 2025 21:37:39 +0200

ublock-origin (1.62.0+dfsg-2) unstable; urgency=medium

  * Fix CVE-2025-4215:
    A remote attacker could abuse an inefficient regular expression in
    ublock-origin's filters to cause a denial-of-service and freeze a web
    browser. (Closes: #1104635)

 -- Markus Koschany <apo@debian.org>  Tue, 10 Jun 2025 17:49:10 +0200
