=== debian/rules ===
--- 
+++ 
@@ -11,16 +11,12 @@
 	wat2wasm src/js/wasm/biditrie.wat -o src/js/wasm/biditrie.wasm
 	wat2wasm src/lib/publicsuffixlist/wasm/publicsuffixlist.wat -o src/lib/publicsuffixlist/wasm/publicsuffixlist.wasm
 	wasm-opt src/lib/lz4/lz4-block-codec.wasm -O4 -o src/lib/lz4/lz4-block-codec.wasm
-	# node-css-tree is not in bullseye, using embedded version instead
 	# Replace embedded copy of csstree.esm.js with corresponding Debian file from src:node-css-tree
-	#cp /usr/share/nodejs/css-tree/dist/csstree.esm.js src/lib/csstree/css-tree.js
+	cp /usr/share/nodejs/css-tree/dist/csstree.esm.js src/lib/csstree/css-tree.js
 	# Replace embedded copy of js-beautify with Debian's system library node-js-beautify
 	cp /usr/share/nodejs/js-beautify/js/lib/beautifier.min.js src/lib/js-beautify/beautifier.min.js
-	# Use the existing minified asset filters because bullseye lacks the
-	# fs/promise module from nodejs
 	# Build the minified asset filters
-	#cd uAssets && ./tools/make-ublock.sh
-	cp debian/filters/* uAssets/filters/
+	cd uAssets && ./tools/make-ublock.sh
 	# Build the browser-specific versions of ublock-origin
 	./tools/make-firefox.sh
 	./tools/make-chromium.sh
